libidn 1.43

Data Fields
Stringprep_table_element Struct Reference

`#include <stringprep.h>`

## Data Fields
uint32_t | start
uint32_t | end
uint32_t | map [STRINGPREP_MAX_MAP_CHARS]

## Detailed Description

Stringprep_table_element:

Parameters

  start | starting codepoint.
  end | ending codepoint, 0 if only one character.
  map | codepoints to map @start into, NULL if end is not 0.

Stringprep profile table element.

Definition at line 131 of file stringprep.h.

## Field Documentation

## ◆ end

uint32_t Stringprep_table_element::end

Definition at line 134 of file stringprep.h.

## ◆ map

uint32_t Stringprep_table_element::map[STRINGPREP_MAX_MAP_CHARS]

Definition at line 135 of file stringprep.h.

## ◆ start

uint32_t Stringprep_table_element::start

Definition at line 133 of file stringprep.h.

The documentation for this struct was generated from the following file:

- stringprep.h